import * as $dara from '@darabonba/typescript';
import { DescribeImageCriteriaResponseBody } from "./DescribeImageCriteriaResponseBody";
export declare class DescribeImageCriteriaResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeImageCriteriaResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
